Make cdn_ssl_version a Setting
Status: Closed
Priority: Normal
Assignee: Chris Roberts
Category: Foreman modules
Target version:
Difficulty: easy Fixed in Releases: 2.1.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-kat
ello/pull/320
Description

Currently the SSL version used to talk to the CDN can be set via cdn_ssl|_version. This exists for proxies that don't support modern
standards like TLS 1.2. In an ideal world these proxies wouldn't exist.

It's used here:

https://github.com/Katello/katello/blob/5{7f32ebf1f4a221b6c370ea2a15b733e18527b8/app/lib/katello/resources/cdn.rb#L 64-1 69

The installer has a parameter for this:

https://github.com/theforeman/puppet-katello/blob/1de6fedbOb8ccbeab024d754b5¢c678840676f677/manifests/init.pp#L 131

Since this is not critical to be set at installation time and can actually be a runtime setting, a database Setting would be a better place.

Related issues:
Copied from Katello - Refactor #28476: Make cdn_ssl|_version a Setting
Copied to Installer - Refactor #29184: Make cdn_ssl|_version a Setting

Closed
Closed

Associated revisions

Revision dc90390a - 04/01/2020 09:13 AM - Chris Roberts

Fixes #28906 - Remove cdn_ssl_version from module

History

#1 - 01/31/2020 03:15 PM - Chris Roberts
- Copied from Refactor #28476: Make cdn_ssl|_version a Setting added

#2 - 01/31/2020 03:16 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-katello/pull/320 added

#3 - 01/31/2020 03:17 PM - Chris Roberts
- Pull request deleted (https://github.com/Katello/katello/pull/8552)

#4 - 02/26/2020 02:50 PM - Chris Roberts
- Copied to Refactor #29184: Make cdn_ssl_version a Setting added

#5 - 04/01/2020 09:13 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#6 - 04/01/2020 10:01 AM - Chris Roberts
- Status changed from Ready For Testing to Closed
https://github.com/Katello/katello/blob/5f7f32ebf1f4a221b6c370ea2a15b733e18527b8/app/lib/katello/resources/cdn.rb#L64-L69
https://github.com/theforeman/puppet-katello/blob/1de6fedb0b8ccbeab024d754b5c678840676f677/manifests/init.pp#L131

Applied in changeset puppet-katello|dc90390af9e8e923¢c2033f5571f329a7fbdc8e45.
